package cn.newfeifan.mall.module.distri.dal.dataobject.dailybill;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 每日账单 DO
 *
 * @author 非繁人
 */
@TableName("distri_daily_bill")
@KeySequence("distri_daily_bill_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DailyBillDO extends BaseDO {

    /**
     * 账单编号
     */
    @TableId
    private Long id;
    /**
     * 金额，单位：分
     */
    private Integer amount;
    /**
     * 确收金额，单位：分
     */
    private Integer receivedAmount;
    /**
     * 订单数，默认为0
     */
    private Integer orderCount;
    /**
     * 店铺ID
     */
    private Integer shopId;
    /**
     * 商户ID
     */
    private Integer merchantId;
    /**
     * 订单ID列表
     */
    private String orderIds;

}