package cn.newfeifan.mall.module.distri.dal.mysql.dailybill;

import java.util.*;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.newfeifan.mall.framework.mybatis.core.mapper.BaseMapperX;
import cn.newfeifan.mall.module.distri.dal.dataobject.dailybill.DailyBillDO;
import org.apache.ibatis.annotations.Mapper;
import cn.newfeifan.mall.module.distri.controller.admin.dailybill.vo.*;

/**
 * 每日账单 Mapper
 *
 * @author 非繁人
 */
@Mapper
public interface DailyBillMapper extends BaseMapperX<DailyBillDO> {

    default PageResult<DailyBillDO> selectPage(DailyBillPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DailyBillDO>()
                .eqIfPresent(DailyBillDO::getAmount, reqVO.getAmount())
                .eqIfPresent(DailyBillDO::getReceivedAmount, reqVO.getReceivedAmount())
                .eqIfPresent(DailyBillDO::getOrderCount, reqVO.getOrderCount())
                .eqIfPresent(DailyBillDO::getShopId, reqVO.getShopId())
                .eqIfPresent(DailyBillDO::getMerchantId, reqVO.getMerchantId())
                .eqIfPresent(DailyBillDO::getOrderIds, reqVO.getOrderIds())
                .betweenIfPresent(DailyBillDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(DailyBillDO::getId));
    }

}